Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.acl.basic
Interface BasicAclExtendedDao

All Superinterfaces:
  BasicAclDao

All Known Implementing Classes:
  JdbcExtendedDaoImpl

    public interface BasicAclExtendedDao

extends BasicAclDao

Represents a more extensive data access object for `BasicAclEntry`s.

`BasicAclExtendedDao` implementations are responsible for interpreting a a given `AclObjectIdentity`.

Version:
  $Id: BasicAclExtendedDao.java,v 1.2 2005/11/17 00:55:47 benalex Exp $
Author:
  Ben Alex

Method Summary
`void` | `changeMask(AclObjectIdentity aclObjectIdentity, Object recipient, Integer newMask)` Changes the permission mask assigned to the `BasicAclEntry` associated with the specified `AclObjectIdentity` and recipient `Object`.
`void` | `create(BasicAclEntry basicAclEntry)`
`void` | `delete(AclObjectIdentity aclObjectIdentity)` Deletes all entries associated with the specified `AclObjectIdentity`.
`void` | `delete(AclObjectIdentity aclObjectIdentity, Object recipient)` Deletes the `BasicAclEntry` associated with the specified `AclObjectIdentity` and recipient `Object`.

Methods inherited from interface org.acegisecurity.acl.basic.BasicAclDao
`getAcls`

Method Detail

### create

    void create(BasicAclEntry basicAclEntry)
                throws DataAccessException

  Throws:
    `DataAccessException`

### delete

    void delete(AclObjectIdentity aclObjectIdentity)
                throws DataAccessException

  Deletes all entries associated with the specified `AclObjectIdentity`.

  Parameters:
    `aclObjectIdentity` - to delete, including any `BasicAclEntry`s
  Throws:
    `DataAccessException`

### delete

    void delete(AclObjectIdentity aclObjectIdentity,
                Object recipient)
                throws DataAccessException

  Deletes the `BasicAclEntry` associated with the specified `AclObjectIdentity` and recipient `Object`.

  Parameters:
    `aclObjectIdentity` - to delete
    `recipient` - to delete
  Throws:
    `DataAccessException`

### changeMask

    void changeMask(AclObjectIdentity aclObjectIdentity,
                    Object recipient,
                    Integer newMask)
                    throws DataAccessException

  Changes the permission mask assigned to the `BasicAclEntry` associated with the specified `AclObjectIdentity` and recipient `Object`.

  Parameters:
    `aclObjectIdentity` - to locate the relevant `BasicAclEntry`
    `recipient` - to locate the relevant `BasicAclEntry`
    `newMask` - indicating the new permission
  Throws:
    `DataAccessException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.